%global npm_name wide-align
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.2
Release: %mkrel 5
Summary: A wide-character aware text alignment function for use on the console or with fixed width fonts
License: ISC
Group: Development/Other
URL: https://github.com/iarna/wide-align#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(string-width)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep string-width ">=2.0.0"
%nodejs_fixdep string-width ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr align.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-5.mga8
+ Revision: 1503284
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-4.mga7
+ Revision: 1281298
- Mageia 7 Mass Rebuild

* Wed May 23 2018 kekepower <kekepower> 1.1.2-3.mga7
+ Revision: 1231808
- Fix deps for string-width

* Tue May 22 2018 kekepower <kekepower> 1.1.2-2.mga7
+ Revision: 1231646
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 1.1.2-1.mga7
+ Revision: 1227248
- imported package nodejs-wide-align

